Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation.base
Class BasicConversationMetaData

    java.lang.Object
      com.ibm.conversation.base.BasicConversationMetaData

All Implemented Interfaces:
  ConversationMetaData

public class BasicConversationMetaData
extends java.lang.Object
implements ConversationMetaData

Class BasicConversationMetaData is a straightforward, vanilla Java implementation of the ConversationMetaData interface.

Field Summary

Fields inherited from interface com.ibm.conversation.ConversationMetaData
`CLOSED, HALF_OPEN, OPEN`

Constructor Summary
`BasicConversationMetaData()` Constructs a BasicConversationMetaData object.

Method Summary
`int` | `getConnectionStatus()` Returns the current connection status: one of CLOSED, HALF_OPEN, OPEN.
`java.lang.String` | `getPartnerConversationId()` Returns the conversation ID assigned to this conversation by the other participant (i.e., the agent that does not own this ConversationMetaData object).
`java.lang.String` | `getPartnerEndpointUri()` Returns the URI for the other agent's message-delivery endpoint.
`java.lang.String` | `getSelfConversationId()` Returns the conversation ID assigned to this conversation by the agent that owns this ConvesationMetaData object.
`java.lang.String` | `getSelfEndpointUri()` Returns the URI for the this agent's message-delivery endpoint.
`void` | `setConnectionStatus(int newStatus)` Sets the current connection status: must be one of CLOSED, HALF_OPEN, OPEN.
`void` | `setPartnerConversationId(java.lang.String newId)` Sets the conversation ID assigned to this conversation by the other participant (i.e, the agent that does not own this ConvesationMetaData object).
`void` | `setPartnerEndpointUri(java.lang.String newUri)` Sets the URI for the other agent's message-delivery endpoint.
`void` | `setSelfConversationId(java.lang.String newId)` Sets the conversation ID assigned to this conversation by the agent that owns this ConvesationMetaData object.
`void` | `setSelfEndpointUri(java.lang.String newUri)` Sets the URI for the this agent's message-delivery endpoint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicConversationMetaData

    public BasicConversationMetaData()

  Constructs a BasicConversationMetaData object.

Method Detail

### getConnectionStatus

    public int getConnectionStatus()

  Description copied from interface: `ConversationMetaData`
  Returns the current connection status: one of CLOSED, HALF_OPEN, OPEN.

  Specified by:
    `getConnectionStatus` in interface `ConversationMetaData`
  Returns:
    The connection status.

### setConnectionStatus

    public void setConnectionStatus(int newStatus)

  Description copied from interface: `ConversationMetaData`
  Sets the current connection status: must be one of CLOSED, HALF_OPEN, OPEN.

  Specified by:
    `setConnectionStatus` in interface `ConversationMetaData`
  Parameters:
    `newStatus` - The new connection status.

### getSelfConversationId

    public java.lang.String getSelfConversationId()

  Description copied from interface: `ConversationMetaData`
  Returns the conversation ID assigned to this conversation by the agent that owns this ConvesationMetaData object.

  If no ID has been assigned (i.e., if the conversation is just being set up), this may be null.

  Specified by:
    `getSelfConversationId` in interface `ConversationMetaData`
  Returns:
    The conversation ID of the agent owning this meta-data object.

### setSelfConversationId

    public void setSelfConversationId(java.lang.String newId)

  Description copied from interface: `ConversationMetaData`
  Sets the conversation ID assigned to this conversation by the agent that owns this ConvesationMetaData object.

  This method is called by the ConversationManager during conversation setup. Users should never call it.

  Specified by:
    `setSelfConversationId` in interface `ConversationMetaData`
  Parameters:
    `newId` - The conversation ID of the agent owning this meta-data object.

### getSelfEndpointUri

    public java.lang.String getSelfEndpointUri()

  Description copied from interface: `ConversationMetaData`
  Returns the URI for the this agent's message-delivery endpoint.

  The URI may be unique to this conversation, or may be shared among multiple conversations.

  Specified by:
    `getSelfEndpointUri` in interface `ConversationMetaData`
  Returns:
    The URI for this agent's message-delivery endpoint.

### setSelfEndpointUri

    public void setSelfEndpointUri(java.lang.String newUri)

  Description copied from interface: `ConversationMetaData`
  Sets the URI for the this agent's message-delivery endpoint.

  This method is called during conversation setup. Afterward, users should never call it.

  The URI may be unique to this conversation, or may be shared among multiple conversations.

  Specified by:
    `setSelfEndpointUri` in interface `ConversationMetaData`
  Parameters:
    `newUri` - The URI for this agent's message-delivery endpoint.

### getPartnerConversationId

    public java.lang.String getPartnerConversationId()

  Description copied from interface: `ConversationMetaData`
  Returns the conversation ID assigned to this conversation by the other participant (i.e., the agent that does not own this ConversationMetaData object).

  If no ID has been assigned (i.e., if the conversation is just being set up), this may be `null`.

  Specified by:
    `getPartnerConversationId` in interface `ConversationMetaData`
  Returns:
    The conversation ID assigned to this conversation by the other participant.

### setPartnerConversationId

    public void setPartnerConversationId(java.lang.String newId)

  Description copied from interface: `ConversationMetaData`
  Sets the conversation ID assigned to this conversation by the other participant (i.e, the agent that does not own this ConvesationMetaData object).

  This method is called during conversation setup, by the decision-logic that is executing the setup conversation policy. Otherwise, users should never call it.

  Specified by:
    `setPartnerConversationId` in interface `ConversationMetaData`
  Parameters:
    `newId` - The conversation ID of the other agent.

### getPartnerEndpointUri

    public java.lang.String getPartnerEndpointUri()

  Description copied from interface: `ConversationMetaData`
  Returns the URI for the other agent's message-delivery endpoint.

  The URI may be unique to this conversation, or may be shared among multiple conversations.

  Specified by:
    `getPartnerEndpointUri` in interface `ConversationMetaData`
  Returns:
    The URI for the other agent's message-delivery endpoint.

### setPartnerEndpointUri

    public void setPartnerEndpointUri(java.lang.String newUri)

  Description copied from interface: `ConversationMetaData`
  Sets the URI for the other agent's message-delivery endpoint.

  This method is called during conversation setup, by the decision-logic that is executing the setup conversation policy. Otherwise, users should never call it.

  The URI may be unique to this conversation, or may be shared among multiple conversations.

  Specified by:
    `setPartnerEndpointUri` in interface `ConversationMetaData`
  Parameters:
    `newUri` - The URI for the other agent's message-delivery endpoint.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005